SDL_GetTrayEntryChecked(3)

NAME
SDL_GetTrayEntryChecked - Gets whether or not an entry is checked.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetTrayEntryChecked(SDL_TrayEntry *entry);

DESCRIPTION
The entry must have been created with the

SDL_TRAYENTRY_CHECKBOX
 flag.

FUNCTION PARAMETERS

entry
    the entry to be read.

RETURN VALUE
Returns true if the entry is checked; false otherwise.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetTrayEntries(3), •(3), SDL_InsertTrayEntryAt(3), •(3), SDL_SetTrayEntryChecked(3)